Show / Hide Table of Contents

# Class PlayerCharacter

This class represents a player character.

##### Inheritance

System.Object
Actor
Chara
PlayerCharacter

##### Implements

System.IEquatable<Actor>

##### Inherited Members

Chara.Level
Chara.ClassJob
Chara.CurrentHp
Chara.MaxHp
Chara.CurrentMp
Chara.MaxMp
Chara.CurrentGp
Chara.MaxGp
Chara.CurrentCp
Chara.MaxCp
Chara.Customize
Actor.actorStruct
Actor.dalamud
Actor.Address
Actor.Position
Actor.Rotation
Actor.Name
Actor.ActorId
Actor.ObjectKind
Actor.YalmDistanceX
Actor.YalmDistanceY
Actor.StatusEffects
Actor.IEquatable<Actor>.Equals(Actor)
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class PlayerCharacter : Chara, IEquatable<Actor>

### Constructors

| Improve this Doc View Source

#### PlayerCharacter(IntPtr, Actor, Dalamud)

Set up a new player character with the provided memory representation.

##### Declaration

    public PlayerCharacter(IntPtr address, Actor actorStruct, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address | The address of this actor in memory.
Actor | actorStruct | The memory representation of the base actor.
Dalamud.Dalamud | dalamud | A dalamud reference needed to access game data in Resolvers.

### Properties

| Improve this Doc View Source

#### CompanyTag

The Free Company tag of this player.

##### Declaration

    public string CompanyTag { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### CurrentWorld

The current World of the character.

##### Declaration

    public World CurrentWorld { get; }

##### Property Value

Type | Description
--- | ---
World |

| Improve this Doc View Source

#### HomeWorld

The home World of the character.

##### Declaration

    public World HomeWorld { get; }

##### Property Value

Type | Description
--- | ---
World |

| Improve this Doc View Source

#### TargetActorID

Target of the PlayerCharacter

##### Declaration

    public override int TargetActorID { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

##### Overrides

Actor.TargetActorID

### Implements

System.IEquatable<T>